Description

Background: sos tool runs CI jobs also on CentOS8 with foreman where we recently spotted constant failures in the tests. Always

due to failure to install foreman. See https://github.com/sosreport/sos/issues/3542 for more.

Now, I am able to reproduce very evidently:

- have RHEL8 with BaseOS and AppStream repos enabled

- follow https://theforeman.org/manuals/3.9/index.html#2.1Installation, in particular, run under root:

dnf -y install https://yum.puppet.com/puppet7-release-el-8.noarch.rpm

dnf -y install https://yum.theforeman.org/releases/3.9/el8/x86_64/foreman-release.rpm

dnf -y module enable foreman:el8

dnf -y install foreman-installer

 Now, running `foreman-installer` always fails with:

..

            variables => ["foreman::params::foreman_url",.........,"foreman_proxy::plugin::salt::p

arams::saltfile"],

          }

      ' | RUBYLIB=/usr/share/gems/gems/kafo-7.3.0/lib/kafo/../..//modules: /opt/puppetlabs/bin/pup

pet apply --config=/tmp/kafo_installation20240304-24509-1qdjq4p/puppet.conf 

2024-03-04 09:02:37 [ERROR ] [root] Error: The parameter '$slowlog_log_slower_than' must be a lite

ral type, not a Puppet::Pops::Model::AccessExpression (file: /usr/share/foreman-installer/modules/

redis/manifests/init.pp, line: 426, column: 15) on node pmoravec-rhel8-test.mna-emea-vcsa.gsslab.b

rq2.redhat.com

2024-03-04 09:02:37 [ERROR ] [root] Could not get default values, cannot continue

 Same error happens when trying to install foreman 3.7 or 3.9 (I assume other versions fail the same). Errors started to be seen a few

weeks ago in our CI tests.

History

#1 - 03/05/2024 10:04 AM - Evgeni Golov

That's a Puppet bug as discussed in https://community.theforeman.org/t/puppet-7-29-0-8-5-0-breaks-our-installer/37075

The only solutions are not to use 7.29.0/8.5.0.

#2 - 03/05/2024 10:04 AM - Evgeni Golov

- Status changed from New to Rejected
